"""
Constant types in Python.
"""
class _const:
    class ConstError(TypeError):
        pass

    def __setattr__(self, name, value):
        if name in self.__dict__:
            raise self.ConstError("Can't rebind const (%s)" % name)
        self.__dict__[name] = value

import sys
#print("=====>" + __name__)
sys.modules[__name__]=_const()